/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 *  ianjuta-buildable.c -- Autogenerated from libanjuta.idl
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "ianjuta-buildable.h"
#include "libanjuta-iface-marshallers.h"

GQuark 
ianjuta_buildable_error_quark (void)
{
	static GQuark quark = 0;
	
	if (quark == 0) {
		quark = g_quark_from_static_string ("ianjuta-buildable-quark");
	}
	
	return quark;
}

/** 
* ianjuta_buildable_build:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
*
* fixme
*/
void
ianjuta_buildable_build (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->build (obj, uri, err);
}

/**
* ianjuta_buildable_clean:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
* 
* fixme
*/
void
ianjuta_buildable_clean (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->clean (obj, uri, err);
}

/**
* ianjuta_buildable_configure:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
* 
* fixme
*/
void
ianjuta_buildable_configure (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->configure (obj, uri, err);
}

/**
* ianjuta_buildable_execute:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
* 
* fixme
*/
void
ianjuta_buildable_execute (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->execute (obj, uri, err);
}

/**
* ianjuta_buildable_generate:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
* 
* fixme
*/
void
ianjuta_buildable_generate (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->generate (obj, uri, err);
}

/**
* ianjuta_buildable_install:
* @obj: Self
* @uri: fixme
* @err: Error propagation and reporting.
* 
* fixme
*/
void
ianjuta_buildable_install (IAnjutaBuildable *obj, const gchar *uri, GError **err)
{
	g_return_if_fail (IANJUTA_IS_BUILDABLE(obj));
	g_return_if_fail (uri != NULL);
	IANJUTA_BUILDABLE_GET_IFACE (obj)->install (obj, uri, err);
}

static void
ianjuta_buildable_base_init (gpointer gclass)
{
	static gboolean initialized = FALSE;
	
	if (!initialized) {

		initialized = TRUE;
	}
}

GType
ianjuta_buildable_get_type (void)
{
	static GType type = 0;
	if (!type) {
		static const GTypeInfo info = {
			sizeof (IAnjutaBuildableIface),
			ianjuta_buildable_base_init,
			NULL, 
			NULL,
			NULL,
			NULL,
			0,
			0,
			NULL
		};
		type = g_type_register_static (G_TYPE_INTERFACE, "IAnjutaBuildable", &info, 0);
		g_type_interface_add_prerequisite (type, G_TYPE_OBJECT);
	}
	return type;			
}
